#
# $Header: dcommon.ins.pp  96/08/15 14:50:52 <unix> $ Copyr (c) 1992 Oracle
#

/* Copyright (c) Oracle Corporation 1992.  All Rights Reserved */

/***************************************************************************
NAME
    dcommon.ins.pp

FUNCTION
    Install documentation for the product .

NOTES

CREATED
    PKu		08/15/96

MODIFIED 
***************************************************************************/
{mark{
#include <ss_pp.h>
#include <macros.ins>
     LOG_MSG("Entering dcommon.ins", "")

    /*
     * Initialize messages
     */
	Load_inst="Loading admin files ...";
	Load_html="Loading html documents ...";
	Load_oin="Loading OIN files ...";
    /*
     *Install products on which this product depends.
     */

	ui_product(product_label);

    /*
     * Loading files....
     */
     if(do_load)
     {
	BEGIN_SW_INST
	copy(base);

	TRANSF(Load_inst, instal)
        TRANSF(Load_html, htmldoc)
        TRANSF(Load_oin, oin)

	mklink_cmd = "ln -s %OD%/index.htm %OD%/products.htm";
	SYSTEM(mklink_cmd, "Fail to create a link to products.htm", status)
     }

        /* Register the product */
        REG_PROD
        if (not(internally_called)) reference(product);


    }
    LOG_MSG("Leaving dcommon.ins", "")
}
